import { createSlice } from '@reduxjs/toolkit';

const initialState: any = {
  current: {
    $: {},
    trk: [
      {
        trkseg: [{ trkpt: [] }],
      },
    ],
  },
};

const slice = createSlice({
  name: 'gpx',
  initialState: initialState,
  reducers: {
    appendTrkpt(state, action) {
      state[action.payload.trkKey].trk[0].trkseg[0].trkpt.push(
        action.payload.trkpt
      );
    },
  },
});

export const gpxActions = slice.actions;

export default slice.reducer;
